
/*******************************************************************************
*
* File lattice.h
*
* Copyright (C) 2015 Martin Luescher
*
* This software is distributed under the terms of the GNU General Public
* License (GPL)
*
*******************************************************************************/

#ifndef LATTICE_H
#define LATTICE_H

#ifndef SL3_H
#include "sl3.h"
#endif

/* BCNDS_C */
extern int *bnd_pts(int *n);
extern void avg_cd0(sl3_alg_dble *cd,sl3_alg_dble *ct0);
extern void set_adbc(sl3_alg_dble *ad);
extern void set_cdbc(sl3_alg_dble *cd);
extern void set_sdbc(spinor_dble *sd);
extern int check_adbc(sl3_alg_dble *ad);
extern int check_cdbc(sl3_alg_dble *cd);
extern int check_sdbc(spinor_dble *sd);

/* GEOMETRY_C */
extern int ipr_global(int *n);
extern void ipt_global(int *x,int *ip,int *ix);
extern int global_time(int ix);
extern void geometry(void);

#endif
